summaryrefslogtreecommitdiffstats
path: root/Doc/tools/mktarball.sh
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>1998-03-05 16:31:22 (GMT)
committerFred Drake <fdrake@acm.org>1998-03-05 16:31:22 (GMT)
commit2888bf6cb9a9924cb87586fd7f2bdd2cba025e80 (patch)
treec1d07655118eb8cb1167fe08f63aabd9ee6ef4c5 /Doc/tools/mktarball.sh
parent2b5ca0030512f58ce20967483d85c6b402086212 (diff)
downloadcpython-2888bf6cb9a9924cb87586fd7f2bdd2cba025e80.zip
cpython-2888bf6cb9a9924cb87586fd7f2bdd2cba025e80.tar.gz
cpython-2888bf6cb9a9924cb87586fd7f2bdd2cba025e80.tar.bz2
Build a tarball that extracts to Python-$VERSION/Doc/ instead of Doc/,
at Guido's suggestion.
Diffstat (limited to 'Doc/tools/mktarball.sh')
-rwxr-xr-xDoc/tools/mktarball.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/Doc/tools/mktarball.sh b/Doc/tools/mktarball.sh
index 391e99b..e9d0c99 100755
--- a/Doc/tools/mktarball.sh
+++ b/Doc/tools/mktarball.sh
@@ -19,17 +19,18 @@ MYDIR=`pwd`
TAG="$1"
-mkdirhier $TEMPDIR/Doc || exit $?
+mkdirhier $TEMPDIR/Python-$VERSION/Doc || exit $?
if [ "$TAG" ] ; then
- cvs export -r $TAG -d $TEMPDIR/Doc python/dist/src/Doc || exit $?
+ cvs export -r $TAG -d $TEMPDIR/Python-$VERSION/Doc python/dist/src/Doc \
+ || exit $?
else
- cvs checkout -d $TEMPDIR/Doc python/dist/src/Doc || exit $?
+ cvs checkout -d $TEMPDIR/Python-$VERSION/Doc python/dist/src/Doc || exit $?
rm -r `find $TEMPDIR -name CVS -print` || exit $?
fi
cd $TEMPDIR
-(tar cf - Doc | gzip -9 >$MYDIR/latex-$VERSION.tar.gz) || exit $?
+(tar cf - Python-$VERSION | gzip -9 >$MYDIR/latex-$VERSION.tar.gz) || exit $?
cd $MYDIR
rm -r $TEMPDIR || exit $?